<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../../index.php';
		</script>
		<?php 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$empresa_global=$id_empresa;
$id_autoriza=80;
define("VAL",$id_user);
include("../../../conex.php");
include("../../../autoriza.php");

include("../../conexion/class-sb-conexion.php");
include("../../funciones/joda-func.php");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>FUNCIONARIOS</title>
<link type="text/css" rel="stylesheet" href="../src/css/jscal2.css" />
<link type="text/css" rel="stylesheet" href="../src/css/border-radius.css" />
<link id="skin-win2k" title="Win 2K" type="text/css" rel="alternate stylesheet" href="../src/css/win2k/win2k.css" />
<link id="skin-steel" title="Steel" type="text/css" rel="alternate stylesheet" href="../src/css/steel/steel.css" />
<link id="skin-gold" title="Gold" type="text/css" rel="alternate stylesheet" href="../src/css/gold/gold.css" />
<link id="skin-matrix" title="Matrix" type="text/css" rel="alternate stylesheet" href="../src/css/matrix/matrix.css" />
<link id="skinhelper-compact" type="text/css" rel="alternate stylesheet" href="../src/css/reduce-spacing.css" />
<script src="../src/js/jscal2.js"></script>
<script src="../src/js/lang/es.js"></script>

<link href="../../style/joda-estilo.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../../script/joda-lib.js"></script> 
<script type="text/javascript" src="../../funciones/joda-func.js"></script> 
</head>

<script src="../../script/jquery-1.4.2.js">
</script>

 	<script >
$(document).ready(function() {
    $(".close").click(function(){
        $(".input").fadeOut(300);
    });
    $("#rec").click(function(){
        $(".input").fadeOut(300);
        setTimeout(olvidar, 10 * 60 * 1000);
    });
});

function evento(tb_sistema,div_sistema){
        $(".input").fadeIn(300);
		carga_link(tb_sistema,div_sistema);
	}
	
function limpiar(registros){
	for(i=1;i<=registros;i++){
    	var tabla = document.getElementById(i);
        tabla.style.backgroundColor='';
	}
}
function marcar(obj,registros,cod){
				id=cod;
                limpiar(registros);
				obj.style.backgroundColor='#CCCCCC';
}
var id=0;

function marcador(){
   return id;
}
function calendario1(){
       new Calendar({
                          inputField: "fecha_inicio",
                          dateFormat: "%Y-%m-%d",
                          trigger: "fecha_inicio",
                          bottomBar: false,
                          onSelect: function() {
                          var date = Calendar.intToDate(this.selection.get());
                          this.hide();
                        }
                  });
}
function calendario2(){
       new Calendar({
                          inputField: "fecha_termino",
                          dateFormat: "%Y-%m-%d",
                          trigger: "fecha_termino",
                          bottomBar: false,
                          onSelect: function() {
                                  var date = Calendar.intToDate(this.selection.get());
                                  this.hide();
                          }
                  });
}

function actualizar(){
$(".close").click(); 
carga_link("tb_mant_funcionarios_det.php?pagina=1","body");

}
</script>
<style>
.input {
left: 15%;
top: 5%;
height:90%;
overflow:auto;
}
</style>
<body>
<div  class="input">
  <img src="../../imagenes/eliminar.ico" width="25" height="25" class="close" alt="close"/>
   <div id=input>
   </div>
 </div>
<div id="overlay" style="z-index:1;filter:alpha(opacity=70);-moz-opacity:.60;opacity:.60"></div>
<table align="center" >
	<tr>
    	<td align="right">
                <?
		$db = new sb_mysql();
		$sql="select 
		  		Codigo_Sucursal,
				Nombre_Sucursal
		  	FROM sb_sucursal_lista 
			where Activo_Sucursal='S'
			and Codigo_Empresa_Sucursal='".$empresa_global."'
		  	order  by Nombre_Sucursal asc
		  	 ";
	//echo $sql;		    
	$consulta = $db->consulta_free($sql);
	$num = mysqli_num_rows($consulta);
	//echo "|".$num."|";
	$filas=0;
	?>
    Sucursal : 
    <select id="Codigo_Sucursal" name="Codigo_Sucursal"  
    onchange="
    carga_link('tb_mant_funcionarios_det.php?pagina=1&Codigo_Sucursal='+this.value,'body');
    ">
	<option value="0" >Seleccione</option>
	<?
	while($resultados = $db->sb_array($consulta)){   
		 $filas++;
		 ?>
         <option value="<?=$resultados['Codigo_Sucursal']?>">
         	&nbsp;<?=$resultados['Nombre_Sucursal']?>&nbsp;
         </option>
         <? 
		}	 
		?>
		</select>

			<fieldset>
				<div id="container" class="websb" style="margin-left: 0px; ">
					<div id="head" class="websb-head" >
						<table cellspacing="0" cellpadding="0" style="width: 601px;" >
                        	<caption align="center" class="caption">
    							Funcionarios
  							</caption>
                        	<tr align="center">
                            	<td width="20">N°</td>
                            	<td width="50">COD</td>
                                <td width="100">Rut</td>
                                <td >Nombre</td>
							</tr>
						</table>
					</div>
					<div id="body" class="websb-body" >
						
					</div>
				</div>
			</fieldset>
		</td>
	</tr>
</table>
</body>
<script >
 carga_link("tb_mant_funcionarios_det.php?pagina=1","body");
</script>
</html>
<script>
function valida2()
{
	rut_val = document.getElementById('rut');
	if ( rut_val.length == 0 ) 
	{
		alert("Ingrese el R.U.T. de la Persona");
		return;
	}
	
	if ( !checkRutField(document.getElementById('rut').value,'rut') )
	{	alert(" Rut Erroneo");
	    document.getElementById('rut').focus();
		return;
	}
	
	return true;
}

</script>
<script>
function enviar(){
	if(
	(document.getElementById('afp').value==0) ||
	(document.getElementById('isapre').value==0) ||
	(document.getElementById('sucursal').value==0) 
	){
		alert("Obligatorio AFP,ISAPRE Y SUCURSAL");
	}else{
	    //alert("ok");
		document.form.submit();
	}
}
         
function validar_fecha(ante_fecha,actu_fecha){
var ano_actu=actu_fecha.substring(0,actu_fecha.indexOf("-"));
var mes_actu=actu_fecha.substring(actu_fecha.indexOf("-")+1,actu_fecha.lastIndexOf("-"));

var ano_ante=ante_fecha.substring(0,4);
var mes_ante=ante_fecha.substring(4,6);

alert(ano_actu+"|"+ano_ante+"---"+mes_actu+"|"+mes_ante);
if((ano_ante!="") && (mes_ante!="")){      
	if((ano_actu!=ano_ante) || (mes_actu!=mes_ante)){
		alert("La fecha Incorrecta,no coincide con mes y año de creacion");
		return false;
	}
}
return true;
}

</script>
